×
Login or create an account
If you have an account with us, please log in.

You have no items in your shopping cart.

What Magento and SugarCRM versions are supported by this extension?

Magento-Sugar CRM integration bridge supports Magento Community versions 1.3, 1.4.X, 1.5.X, 1.6.X, 1.7.X, 1.8.X, Enterprise Edition Version 1.9.X, 1.10.X, 1.11.X, 1.12.X, 1.13.X; SugarCRM Community 5.2 and above, SugarCRM PRO.

See more details on SugarCRM Bridge page
Rate the answer?
Back to top